UUID
1 min
The UUID (Universally Unique Identifier) generation endpoint is designed to create a unique identifier that is used exclusively for reporting analytics data within the Klevu platform. This UUID also plays a crucial role in identifying and correlating conversion data, providing a seamless link between user interactions and the resulting analytics.
Generate UUID
End-point returns the ip address and uuid for a given request.
POST
https://stats.ksearchnet.com/analytics/uuid
curl
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://stats.ksearchnet.com/analytics/uuid',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://stats.ksearchnet.com/analytics/uuid',
'headers': {
}
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
200
{
"ip_address": "X.X.X.X",
"klevu_uuid": "0ff61cc7-4a55-4b3a-b9f8-975ea2b248ea"
}